<div class="container">
    <div class="titulo">
      <h1>MEMBR</h1>
    </div>
      <!-- Primer datapicker-->
     <div class="ll-br"> 
      <mat-form-field>
        <mat-label id="textcaja" color="primary"><b>Inicio rango</b></mat-label>
          <input  placeholder="dd/mm/aaaa" matInput [matDatepicker]="picker1" #fechauno="ngModel"  [(ngModel)]="fechaOne" required onkeydown="return false"/>
        <mat-datepicker-toggle matSuffix [for]="picker1" title="da click para visualizar calendario"></mat-datepicker-toggle>
        <mat-hint class="alert alert-danger" *ngIf="fechauno.touched && !fechauno.valid" title="Agrega el cambio" style="color: red;">Llena este campo</mat-hint>    
        <mat-datepicker #picker1></mat-datepicker>
      </mat-form-field>
      <!-- fin de Primer datapicker-->
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      <!-- segundo datapicker-->
      <mat-form-field >
         <mat-label id="textcaja"><b>Fin rango</b></mat-label>
           <input  id="caja1" placeholder="dd/mm/aaaa" matInput [matDatepicker]="picker" #fechados="ngModel" [(ngModel)]="fechaTwo" required onkeydown="return false"/>
         <mat-datepicker-toggle matSuffix [for]="picker" title="da click para visualizar calendario"></mat-datepicker-toggle>  
         <mat-hint class="alert alert-danger" *ngIf="fechados.touched && !fechados.valid" title="Agrega el cambio" style="color: red;">llena este campo</mat-hint>
         <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
      
      <!-- fin del segundo datapicker--> 
       
      <!--Caja de texto-->
    <div class="l-br"> 
      <div class="example-container">
        <mat-form-field style="width: 25%;" ng-app="miAplicacion"  ng-controller="fechaController"   appearance="outline">
          <mat-label id="textcambio"><b>Cambio de USD A MXN</b></mat-label>
          <input  required pattern="[0-9-/./]{5,40}" type="number" matInput #input maxlength="10"
           placeholder="Ex. 1928030484" #caja="ngModel" [(ngModel)]="caja1">
          <mat-hint class="alert alert-danger" *ngIf="caja.touched && !caja.valid" 
          title="Agrega el cambio" style="color: red;">Llena este campo</mat-hint>
        </mat-form-field>
    </div>  

    <div class="l-br">
        <div class="contenedor">
          <button style="width: 26%;" id="boton" type="submit" mat-raised-button color="accent"  (click)="fecha1(fechauno, fechados, caja)">Ejecutar MEMBR</button>
        </div>
    </div>    
    </div>
  </div>
</div>
  